import { defineStore } from 'pinia'

export const useMainStore = defineStore('mainStore', {
  state: () => ({
    count: 0,
    loginState: false // 登入狀態
  }),
  getters: {
    doubleCount() {
      return this.count * 2;
    },
    tripleCount() {
      return this.count * 3;
    }
  },
  actions: {
    setLoginState(newState) {
      this.loginState = newState;
    },
    getImageUrl(name) {
      console.log('name', name);
      return new URL(`/src/assets/img/${name}`, import.meta.url).href;
    },
    getTotalPages(totalRecords, recordsPerPage) { // 計算頁數
      return Math.ceil(totalRecords / recordsPerPage);
    }
  },
})